%define oname	slowmoVideo

Name:		slowmovideo
Version:	0.4
Release:	%mkrel 0.1
Summary:	Create slow-motion videos from your footage
Summary(fr_FR):	Créer des vidéos ralenties (slow-motion) à partir de vos enregistrements
License:	GPLv2+
Group:		Video/Utilities
Url:		http://slowmovideo.granjow.net/
Source0:	https://github.com/slowmoVideo/%{oname}/archive/v%{version}/%{oname}-%{version}.tar.gz
Source1:	%{name}.desktop

BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	ffmpeg-devel
BuildRequires:	freeglut-devel
BuildRequires:	imagemagick
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(opencv)
BuildRequires:	unzip

%description
slowmoVideo is an OpenSource program that creates slow-motion videos from
your footage. But it does not simply make your videos play at 0.01× speed.
You can smoothly slow down and speed up your footage, optionally with
motion blur.

How does slow motion work? slowmoVideo tries to find out where pixels
move in the video (this information is called Optical Flow), and then uses
this information to calculate the additional frames between the ones
recorded by your camera.

%description -l fr_FR
slowmoVideo est un logiciel OpenSource permettant la création de vidéos
ralenties (slow-motion) à partir de vos enregistrements. Son but n'est
pas seulement de passer vos vidéos en 0.01 fois leur vitesse originale.
Vous pouvez ralentir et accélérer vos séquences, avec en option l'ajout
de flou de mouvement.

Comment ça marche ? slowmoVideo essaie de trouver les zones de mouvements
des pixels dans la vidéo (information appelée Optical Flow), et utilise
ces informations pour créer les images additionnelles entre celles
enregistrées par votre caméra (ex: GoPro).

%prep
%setup -q -n %{oname}-%{version}

cp -pr %{SOURCE1} .

%build
mkdir build && cd build

%__cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	../src

%make

%install
%makeinstall_std -C build

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --mode=0644 --dir=%{buildroot}%{_datadir}/applications %{name}.desktop

# icons
for png in 256x256 128x128 64x64 48x48 32x32 22x22 16x16; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
  convert -geometry $png src/slowmoVideo/slowmoUI/res/AppIcon.png \
  %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

%files
%doc README.md todo.org doc/*
%{_bindir}/slowmoFlowBuilder
%{_bindir}/slowmoFlowEdit
%{_bindir}/slowmoInfo
%{_bindir}/slowmoInterpolate
%{_bindir}/slowmoRenderer
%{_bindir}/slowmoUI
%{_bindir}/slowmoVideoInfo
%{_bindir}/slowmoVisualizeFlow
%{_bindir}/Test
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*x*/apps/%{name}.png

%changelog
* Fri Mar 13 2015 daviddavid (MLO Team) <daviddavid> 0.4-0.1.mga4
- imported package slowmoVideo
- build package for Mageia 4 (Core\MLO)
